module Panel::Archive::BackEnd::ArchiveFileCategorysHelper
include ActionView::Helpers::UrlHelper

  
  def show_anc_cate_permission_link(archive_file_category)
    type = 'submit'
    oa = archive_file_category.get_object_auth_by_title(type)
    if oa.nil?
      archive_file_category.object_auths.new(title: type ).save
      oa = archive_file_category.get_object_auth_by_title(type)
    end
     link_to t(:category_auth),admin_object_auth_ob_auth_path(oa)
  end

end